Bug 267316 - rekonq crashes when using shortcuts
Summary: rekonq crashes when using shortcuts
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.6.85
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 0.7
Assignee: Andrea Diamantini
URL:
Keywords:
: 266810 274168 274261 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-28 16:13 UTC by Rohan Garg
Modified: 2012-04-23 15:47 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (15.64 KB, text/plain)
2011-03-05 20:02 UTC, Rohan Garg
Details
New crash information added by DrKonqi (10.40 KB, text/plain)
2011-04-20 13:01 UTC, Leonardo La Malfa
Details
New crash information added by DrKonqi (18.04 KB, text/plain)
2011-09-19 14:21 UTC, Rainer Dorsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohan Garg 2011-02-28 16:13:05 UTC
Application: rekonq (0.6.85)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-27-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
Trying to open KDE Bug 266997 via the bug:<bug number> shortcut in the urlbar
- Unusual behavior I noticed:
rekonq crashes when i type bug:266997 in the urlbar
- Custom settings of the application:
None

This crash happens rather randomnly.

The crash can be reproduced some of the time.

-- Backtrace:
Application: rekonq (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa584aff760 (LWP 5512))]

Thread 15 (Thread 0x7fa56ad86700 (LWP 5513)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa57a49c20e in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007fa57a49c329 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa5697b9700 (LWP 5514)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa57932f334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fa57963a160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fa57932f369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7fa579648234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa5682de700 (LWP 5515)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa583632e3b in wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa5785cdd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa96340, th=0xe86ed0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa5785d0f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa967b0, th=0xe86ed0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa5785cf4df in ThreadWeaver::ThreadRunHelper::run (this=0x7fa5682ddd40, parent=0xa96340, th=0xe86ed0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa5785cfa38 in ThreadWeaver::Thread::run (this=0xe86ed0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa58363227e in QThreadPrivate::start (arg=0xe86ed0) at thread/qthread_unix.cpp:266
#8  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa55ae12700 (LWP 5516)):
#0  0x00007fa57fe28665 in __pthread_mutex_lock (mutex=0x7fa560008218) at pthread_mutex_lock.c:61
#1  0x00007fa57f773697 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007fa57f774023 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007fa57f77445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007fa5837521e6 in QEventDispatcherGlib::processEvents (this=0x7fa5600080a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007fa583724a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fa583724dec in QEventLoop::exec (this=0x7fa55ae11cf0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007fa58362f2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007fa5837045f8 in QInotifyFileSystemWatcherEngine::run (this=0x1145440) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fa58363227e in QThreadPrivate::start (arg=0x1145440) at thread/qthread_unix.cpp:266
#10 0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa55a033700 (LWP 5517)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x1306300) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x1306300) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa559519700 (LWP 5518)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x13f51d0) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x13f51d0) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa558d18700 (LWP 5519)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x1406f50) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x1406f50) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa553fff700 (LWP 5520)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa583632e3b in wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa5785cdd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa96340, th=0xfc2800) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa5785d0f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa967b0, th=0xfc2800) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa5785cf4df in ThreadWeaver::ThreadRunHelper::run (this=0x7fa553ffed40, parent=0xa96340, th=0xfc2800) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa5785cfa38 in ThreadWeaver::Thread::run (this=0xfc2800) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa58363227e in QThreadPrivate::start (arg=0xfc2800) at thread/qthread_unix.cpp:266
#8  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa5537fe700 (LWP 5521)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa583632e3b in wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa5785cdd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa96340, th=0x16e90d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa5785d0f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa967b0, th=0x16e90d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa5785cf4df in ThreadWeaver::ThreadRunHelper::run (this=0x7fa5537fdd40, parent=0xa96340, th=0x16e90d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa5785cfa38 in ThreadWeaver::Thread::run (this=0x16e90d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa58363227e in QThreadPrivate::start (arg=0x16e90d0) at thread/qthread_unix.cpp:266
#8  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa552e6a700 (LWP 5522)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa583632e3b in wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xa966d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa5785cdd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa96340, th=0x1749150) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fa5785d0f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xa967b0, th=0x1749150) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fa5785cf4df in ThreadWeaver::ThreadRunHelper::run (this=0x7fa552e69d40, parent=0xa96340, th=0x1749150) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fa5785cfa38 in ThreadWeaver::Thread::run (this=0x1749150) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fa58363227e in QThreadPrivate::start (arg=0x1749150) at thread/qthread_unix.cpp:266
#8  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa552343700 (LWP 5523)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x7fa554004700) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x7fa554004700) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa551b42700 (LWP 5524)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1306540, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x7fa554000b40) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x7fa554000b40) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa551341700 (LWP 5526)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x29fe250, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29fe250, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x16d9a60) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x16d9a60) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa550b40700 (LWP 5528)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007fa583632da2 in wait (this=<value optimized out>, mutex=0x29fe250, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29fe250, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa583627da2 in QThreadPoolThread::run (this=0x29824d0) at concurrent/qthreadpool.cpp:140
#4  0x00007fa58363227e in QThreadPrivate::start (arg=0x29824d0) at thread/qthread_unix.cpp:266
#5  0x00007fa577650ae3 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007fa57fe26971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007fa58233292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa584aff760 (LWP 5512)):
[KCrash Handler]
#6  QString::append (this=0x7fffafd25aa0, str=...) at tools/qstring.cpp:1495
#7  0x00007fa5729a3ad2 in operator+= (this=0x0, searchTerm=...) at /usr/include/qt4/QtCore/qstring.h:281
#8  operator+ (this=0x0, searchTerm=...) at /usr/include/qt4/QtCore/qstring.h:1023
#9  OpenSearchEngine::suggestionPathFor (this=0x0, searchTerm=...) at /media/Data/rekonq/src/opensearch/opensearchengine.cpp:285
#10 0x00007fa5729a3bf3 in OpenSearchEngine::parseSuggestion (this=0x10, searchTerm=..., resp=...) at /media/Data/rekonq/src/opensearch/opensearchengine.cpp:257
#11 0x00007fa57299ffaf in OpenSearchManager::jobFinished (this=0xdbcc50, job=<value optimized out>) at /media/Data/rekonq/src/opensearch/opensearchmanager.cpp:185
#12 0x00007fa5729a1ef0 in OpenSearchManager::qt_metacall (this=0xdbcc50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffafd26080) at /media/Data/rekonq/build/src/opensearchmanager.moc:95
#13 0x00007fa58373db27 in QMetaObject::activate (sender=0x2b01dc0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fa5729c325d) at kernel/qobject.cpp:3280
#14 0x00007fa583b93a82 in KJob::result (this=0x7fffafd25aa0, _t1=0x2b01dc0) at ./kjob.moc:194
#15 0x00007fa583b93d20 in KJob::emitResult (this=0x2b01dc0) at ../../kdecore/jobs/kjob.cpp:312
#16 0x00007fa57d271083 in KIO::SimpleJob::slotFinished (this=0x2b01dc0) at ../../kio/kio/job.cpp:525
#17 0x00007fa57d271992 in KIO::TransferJob::slotFinished (this=0x2b01dc0) at ../../kio/kio/job.cpp:1118
#18 0x00007fa57d26f471 in KIO::TransferJob::qt_metacall (this=0x2b01dc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffafd264c0) at ./jobclasses.moc:367
#19 0x00007fa58373db27 in QMetaObject::activate (sender=0x2b55400, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fa5729c325d) at kernel/qobject.cpp:3280
#20 0x00007fa57d3230be in KIO::SlaveInterface::dispatch (this=0x2b55400, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:173
#21 0x00007fa57d320103 in KIO::SlaveInterface::dispatch (this=0x2b55400) at ../../kio/kio/slaveinterface.cpp:89
#22 0x00007fa57d313a96 in KIO::Slave::gotInput (this=0x2b55400) at ../../kio/kio/slave.cpp:348
#23 0x00007fa57d313c7c in KIO::Slave::qt_metacall (this=0x2b55400, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffafd26940) at ./slave.moc:82
#24 0x00007fa58373db27 in QMetaObject::activate (sender=0x2b56be0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fa5729c325d) at kernel/qobject.cpp:3280
#25 0x00007fa57d23dc67 in KIO::ConnectionPrivate::dequeue (this=0x2b55800) at ../../kio/kio/connection.cpp:82
#26 0x00007fa57d23dd8d in KIO::Connection::qt_metacall (this=0x2b56be0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xf4a690) at ./connection.moc:79
#27 0x00007fa583737bde in QObject::event (this=0x2b56be0, e=0x7fffafd25aa0) at kernel/qobject.cpp:1219
#28 0x00007fa582a8cfdc in QApplicationPrivate::notify_helper (this=0xa2fc00, receiver=0x2b56be0, e=0x146bf40) at kernel/qapplication.cpp:4396
#29 0x00007fa582a92aed in QApplication::notify (this=0x7fffafd27440, receiver=0x2b56be0, e=0x146bf40) at kernel/qapplication.cpp:4277
#30 0x00007fa5844e5a36 in KApplication::notify (this=0x7fffafd27440, receiver=0x2b56be0, event=0x146bf40) at ../../kdeui/kernel/kapplication.cpp:311
#31 0x00007fa583725cdc in QCoreApplication::notifyInternal (this=0x7fffafd27440, receiver=0x2b56be0, event=0x146bf40) at kernel/qcoreapplication.cpp:732
#32 0x00007fa583728c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x914b00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#33 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x914b00) at kernel/qcoreapplication.cpp:1373
#34 0x00007fa583752653 in sendPostedEvents (s=0xa32560) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#35 postEventSourceDispatch (s=0xa32560) at kernel/qeventdispatcher_glib.cpp:277
#36 0x00007fa57f770342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x00007fa57f7742a8 in ?? () from /lib/libglib-2.0.so.0
#38 0x00007fa57f77445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#39 0x00007fa583752193 in QEventDispatcherGlib::processEvents (this=0xa2f760, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#40 0x00007fa582b3fa4e in QGuiEventDispatcherGlib::processEvents (this=0x7fffafd25aa0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#41 0x00007fa583724a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#42 0x00007fa583724dec in QEventLoop::exec (this=0x7fffafd27390, flags=) at kernel/qeventloop.cpp:201
#43 0x00007fa583728ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#44 0x00007fa5729b404a in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /media/Data/rekonq/src/main.cpp:215
#45 0x0000000000407993 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=1, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x9db86b "saphira;1298905550;17386;1900_TIME11020377") at ../../kinit/kinit.cpp:742
#46 0x0000000000408733 in handle_launcher_request (sock=8, who=<value optimized out>) at ../../kinit/kinit.cpp:1234
#47 0x0000000000408cba in handle_requests (waitForPid=0) at ../../kinit/kinit.cpp:1427
#48 0x0000000000409894 in main (argc=4, argv=<value optimized out>, envp=<value optimized out>) at ../../kinit/kinit.cpp:1915

Possible duplicates by query: bug 262268, bug 237767.

Reported using DrKonqi
Comment 1 Rohan Garg 2011-02-28 16:16:06 UTC
Targetting 0.7
Comment 2 Andrea Diamantini 2011-02-28 17:36:19 UTC
Git commit 4a13c398a3f490b1d36b30e2b40c712fbcada755 by Andrea Diamantini.
Committed on 28/02/2011 at 17:33.
Pushed by adjam into branch 'master'.

Do NOT parse suggestions referred to empty strings

BUG:267316

M  +2    -1    src/opensearch/opensearchmanager.cpp     

http://commits.kde.org/rekonq/4a13c398a3f490b1d36b30e2b40c712fbcada755
Comment 3 Rohan Garg 2011-03-05 20:02:42 UTC
Created attachment 57702 [details]
New crash information added by DrKonqi

rekonq (0.6.86) on KDE Platform 4.6.00 (4.6.0) using Qt 4.7.0

- What I was doing when the application crashed:
Typing kde:KTabBar into the URL bar
- Unusual behavior I noticed:
the kde: url is a search shortcut to api.kde.org to search for classes, after typing "kde:" rekonq crashes
- Custom settings of the application:

-- Backtrace (Reduced):
#6  QString::append (this=0x7fff86f9ca20, str=...) at tools/qstring.cpp:1495
#7  0x00007f72feeb5792 in operator+= (this=0x0, searchTerm=...) at /usr/include/qt4/QtCore/qstring.h:281
#8  operator+ (this=0x0, searchTerm=...) at /usr/include/qt4/QtCore/qstring.h:1023
#9  OpenSearchEngine::suggestionPathFor (this=0x0, searchTerm=...) at /media/Data/rekonq/src/opensearch/opensearchengine.cpp:285
#10 0x00007f72feeb58b3 in OpenSearchEngine::parseSuggestion (this=0x10, searchTerm=..., resp=...) at /media/Data/rekonq/src/opensearch/opensearchengine.cpp:257
Comment 4 Rohan Garg 2011-03-05 20:04:37 UTC
Re Opening bug report, since this is happening again
Comment 5 Andrea Diamantini 2011-03-08 17:09:37 UTC
*** Bug 266810 has been marked as a duplicate of this bug. ***
Comment 6 Andrea Diamantini 2011-03-08 17:29:10 UTC
Git commit d4af85597e389594a3f69fd2c79059f7d8826275 by Andrea Diamantini.
Committed on 08/03/2011 at 17:29.
Pushed by adjam into branch 'master'.

Checking for the empty string causing Rohan & Pano's bug...
Next test

CCBUG:267316

By the way, are you sure this is yet happening? I can no more reproduce it since the first fix...

M  +4    -1    src/opensearch/opensearchengine.cpp     

http://commits.kde.org/rekonq/d4af85597e389594a3f69fd2c79059f7d8826275
Comment 7 Andrea Diamantini 2011-03-19 10:30:51 UTC
Guys, any news here?
Comment 8 Rohan Garg 2011-03-19 18:08:10 UTC
Uhm, well it's a hit and miss, Most of the time it works, but once or twice rekonq hangs and then crashes, didn't get a backtrace because Dr.Konqi didn't start up, bug:foo works but lpuser:rohangarg ( a ubuntu specific protocol ) causes random crashes where i don't get the backtrace.
Comment 9 Leonardo La Malfa 2011-04-20 13:01:08 UTC
Created attachment 59154 [details]
New crash information added by DrKonqi

rekonq (0.7.0) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:

I was typing a Web Shortcut I frequently use, when Rekonq crashed. Although I re-opened it, re-typed the shorcut, and it crashed again, it seems reproducible only sometimes.

-- Backtrace (Reduced):
#7  QString::append (this=0xbf96b5ec, str=...) at tools/qstring.cpp:1529
[...]
#14 0xb5434cd3 in KJob::result (this=0x9d86150, _t1=0x9d86150) at ./kjob.moc:194
#15 0xb5434d28 in KJob::emitResult (this=0x9d86150) at ../../kdecore/jobs/kjob.cpp:312
#16 0xb5863975 in KIO::SimpleJob::slotFinished (this=0x9d86150) at ../../kio/kio/job.cpp:525
#17 0xb5869a16 in KIO::TransferJob::slotFinished (this=0x9d86150) at ../../kio/kio/job.cpp:1118
Comment 10 Rainer Dorsch 2011-09-19 14:21:39 UTC
Created attachment 63774 [details]
New crash information added by DrKonqi

rekonq (0.7.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- What I was doing when the application crashed:
  Entering a user defined shortcut in the address bar of rekonq.

-- Backtrace (Reduced):
#7  QString::append (this=0xbf92a7a0, str=...) at tools/qstring.cpp:1529
[...]
#12 0xb4632e4d in metacall (argv=0xbf92aa98, idx=10, cl=QMetaObject::InvokeMetaMethod, object=0x8ee00f0) at kernel/qmetaobject.cpp:237
[...]
#15 0xb53d31e5 in KJob::result(KJob*) () from /usr/lib/libkdecore.so.5
#16 0xb53d3238 in KJob::emitResult() () from /usr/lib/libkdecore.so.5
#17 0xb58722b8 in KIO::SimpleJob::slotFinished() () from /usr/lib/libkio.so.5
Comment 11 Andrea Diamantini 2012-02-02 08:19:07 UTC
*** Bug 274168 has been marked as a duplicate of this bug. ***
Comment 12 Andrea Diamantini 2012-04-23 15:47:57 UTC
*** Bug 274261 has been marked as a duplicate of this bug. ***